Bug 879291 - left-pane tree: "expand all" should fully-expand only the selected tree-node (and not the entire tree, unless "System" is selected)
left-pane tree: "expand all" should fully-expand only the selected tree-node ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Alexander Wels
Jiri Belka
ux
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-22 09:43 EST by Miki Kenneth
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: sf12
Doc Type: Enhancement
Doc Text:
When in tree view, clicking 'expand all' would expand the entire tree and not just the nodes under the selected node. This was not the expected behaviour. This has been changed so that when 'expand all' is now clicked, only the nodes under the selected node are expanded, and the other unselected nodes remain untouched.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:22:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10913 None None None Never

  None (edit)
Description Miki Kenneth 2012-11-22 09:43:41 EST
In the tree view, when you click on a specific DC and do expand, only one level is opened. It is more useful to expand all in this case or add and option to expand all.
Comment 1 Miki Kenneth 2012-11-22 10:00:35 EST
there is an option to expand/collapse  on the whole system.
Comment 2 Einav Cohen 2012-12-19 09:29:48 EST
I think that regular expand should still be reserved for opening only a single level.

I suggest to utilize the already-existing "expand all" button to expand only the selected node in the tree: If "System" is selected, all tree will be fully expanded. If a non-System node is selected (e.g. a node that represents a DC or a Cluster), only this node will be fully-expanded (rest of the tree will remain as is).

Thoughts?
Comment 3 Simon Grinberg 2012-12-19 10:13:43 EST
(In reply to comment #2)
> I think that regular expand should still be reserved for opening only a
> single level.
> 
> I suggest to utilize the already-existing "expand all" button to expand only
> the selected node in the tree: If "System" is selected, all tree will be
> fully expanded. If a non-System node is selected (e.g. a node that
> represents a DC or a Cluster), only this node will be fully-expanded (rest
> of the tree will remain as is).
> 
> Thoughts?

+1 

Actually I think this is what Miki have meant when she said expand all on an object. 

It's more like, expand all descending levels from this point.
Comment 4 Einav Cohen 2012-12-19 14:24:59 EST
thanks, changing subject accordingly.
Comment 5 Alexander Wels 2013-01-11 17:09:23 EST
Patch to fix this issue available here:
http://gerrit.ovirt.org/10913
Comment 9 Jiri Belka 2013-04-02 04:28:14 EDT
ok, sf12.
Comment 12 errata-xmlrpc 2013-06-10 17:22:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.